org.eclipse.jetty.server.ssl

## Interface SslConnector

All Superinterfaces:
  Connector, LifeCycle

All Known Implementing Classes:
  SslSelectChannelConnector, SslSocketConnector

    public interface SslConnector
    extends Connector

The interface for SSL connectors and their configuration methods.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

Fields
`static String` `DEFAULT_KEYSTORE` Deprecated.
`static String` `DEFAULT_KEYSTORE_ALGORITHM` Deprecated.
`static String` `DEFAULT_TRUSTSTORE_ALGORITHM` Deprecated.
`static String` `KEYPASSWORD_PROPERTY` Deprecated.
`static String` `PASSWORD_PROPERTY` Deprecated.

### Method Summary

Methods
`String[]` `getExcludeCipherSuites()` Deprecated.
`String[]` `getIncludeCipherSuites()` Deprecated.
`String` `getKeystore()` Deprecated.
`String` `getKeystoreType()` Deprecated.
`boolean` `getNeedClientAuth()` Deprecated.
`String` `getProtocol()` Deprecated.
`String` `getProvider()` Deprecated.
`String` `getSecureRandomAlgorithm()` Deprecated.
`SSLContext` `getSslContext()` Deprecated.
`SslContextFactory` `getSslContextFactory()`
`String` `getSslKeyManagerFactoryAlgorithm()` Deprecated.
`String` `getSslTrustManagerFactoryAlgorithm()` Deprecated.
`String` `getTruststore()` Deprecated.
`String` `getTruststoreType()` Deprecated.
`boolean` `getWantClientAuth()` Deprecated.
`boolean` `isAllowRenegotiate()` Deprecated.
`void` `setAllowRenegotiate(boolean allowRenegotiate)` Deprecated.
`void` `setExcludeCipherSuites(String[] cipherSuites)` Deprecated.
`void` `setIncludeCipherSuites(String[] cipherSuites)` Deprecated.
`void` `setKeyPassword(String password)` Deprecated.
`void` `setKeystore(String keystore)` Deprecated.
`void` `setKeystoreType(String keystoreType)` Deprecated.
`void` `setNeedClientAuth(boolean needClientAuth)` Deprecated.
`void` `setPassword(String password)` Deprecated.
`void` `setProtocol(String protocol)` Deprecated.
`void` `setProvider(String provider)` Deprecated.
`void` `setSecureRandomAlgorithm(String algorithm)` Deprecated.
`void` `setSslContext(SSLContext sslContext)` Deprecated.
`void` `setSslKeyManagerFactoryAlgorithm(String algorithm)` Deprecated.
`void` `setSslTrustManagerFactoryAlgorithm(String algorithm)` Deprecated.
`void` `setTrustPassword(String password)` Deprecated.
`void` `setTruststore(String truststore)` Deprecated.
`void` `setTruststoreType(String truststoreType)` Deprecated.
`void` `setWantClientAuth(boolean wantClientAuth)` Deprecated.

### Methods inherited from interface org.eclipse.jetty.server.Connector

`close, customize, getConfidentialPort, getConfidentialScheme, getConnection, getConnections, getConnectionsDurationMax, getConnectionsDurationMean, getConnectionsDurationStdDev, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsRequestsMax, getConnectionsRequestsMean, getConnectionsRequestsStdDev, getHost, getIntegralPort, getIntegralScheme, getLocalPort, getLowResourceMaxIdleTime, getMaxIdleTime, getName, getPort, getRequestBuffers, getRequestBufferSize, getRequestHeaderSize, getRequests, getResolveNames, getResponseBuffers, getResponseBufferSize, getResponseHeaderSize, getServer, getStatsOn, getStatsOnMs, isConfidential, isIntegral, isLowResources, open, persist, setHost, setLowResourceMaxIdleTime, setMaxIdleTime, setPort, setRequestBufferSize, setRequestHeaderSize, setResponseBufferSize, setResponseHeaderSize, setServer, setStatsOn, statsReset`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Field Detail

#### DEFAULT_KEYSTORE_ALGORITHM

    @Deprecated
    static final String DEFAULT_KEYSTORE_ALGORITHM

Deprecated.

#### DEFAULT_TRUSTSTORE_ALGORITHM

    @Deprecated
    static final String DEFAULT_TRUSTSTORE_ALGORITHM

Deprecated.

#### DEFAULT_KEYSTORE

    @Deprecated
    static final String DEFAULT_KEYSTORE

Deprecated.
Default value for the keystore location path. @deprecated

#### KEYPASSWORD_PROPERTY

    @Deprecated
    static final String KEYPASSWORD_PROPERTY

Deprecated.
String name of key password property. @deprecated

See Also:
  Constant Field Values

#### PASSWORD_PROPERTY

    @Deprecated
    static final String PASSWORD_PROPERTY

Deprecated.
String name of keystore password property. @deprecated

See Also:
  Constant Field Values

### Method Detail

#### getSslContextFactory

    SslContextFactory getSslContextFactory()

Returns:
  the instance of SslContextFactory associated with the connector

#### getExcludeCipherSuites

    @Deprecated
    String[] getExcludeCipherSuites()

Deprecated.

Returns:
  The array of Ciphersuite names to exclude from `SSLEngine.setEnabledCipherSuites(String[])`

#### setExcludeCipherSuites

    @Deprecated
    void setExcludeCipherSuites(String[] cipherSuites)

Deprecated.

Parameters:
  `cipherSuites` - The array of Ciphersuite names to exclude from `SSLEngine.setEnabledCipherSuites(String[])`

#### getIncludeCipherSuites

    @Deprecated
    String[] getIncludeCipherSuites()

Deprecated.

Returns:
  The array of Ciphersuite names to include in `SSLEngine.setEnabledCipherSuites(String[])`

#### setIncludeCipherSuites

    @Deprecated
    void setIncludeCipherSuites(String[] cipherSuites)

Deprecated.

Parameters:
  `cipherSuites` - The array of Ciphersuite names to include in `SSLEngine.setEnabledCipherSuites(String[])`

#### setPassword

    @Deprecated
    void setPassword(String password)

Deprecated.

Parameters:
  `password` - The password for the key store

#### setTrustPassword

    @Deprecated
    void setTrustPassword(String password)

Deprecated.

Parameters:
  `password` - The password for the trust store

#### setKeyPassword

    @Deprecated
    void setKeyPassword(String password)

Deprecated.

Parameters:
  `password` - The password (if any) for the specific key within the key store

#### getProtocol

    @Deprecated
    String getProtocol()

Deprecated.

Returns:
  The SSL protocol (default "TLS") passed to `SSLContext.getInstance(String, String)`

#### setProtocol

    @Deprecated
    void setProtocol(String protocol)

Deprecated.

Parameters:
  `protocol` - The SSL protocol (default "TLS") passed to `SSLContext.getInstance(String, String)`

#### setKeystore

    @Deprecated
    void setKeystore(String keystore)

Deprecated.

Parameters:
  `keystore` - The file or URL of the SSL Key store.

#### getKeystore

    @Deprecated
    String getKeystore()

Deprecated.

Returns:
  The file or URL of the SSL Key store.

#### getKeystoreType

    @Deprecated
    String getKeystoreType()

Deprecated.

Returns:
  The type of the key store (default "JKS")

#### getNeedClientAuth

    @Deprecated
    boolean getNeedClientAuth()

Deprecated.

Returns:
  True if SSL needs client authentication.
See Also:
  `SSLEngine.getNeedClientAuth()`

#### getWantClientAuth

    @Deprecated
    boolean getWantClientAuth()

Deprecated.

Returns:
  True if SSL wants client authentication.
See Also:
  `SSLEngine.getWantClientAuth()`

#### setNeedClientAuth

    @Deprecated
    void setNeedClientAuth(boolean needClientAuth)

Deprecated.

Parameters:
  `needClientAuth` - True if SSL needs client authentication.
See Also:
  `SSLEngine.getNeedClientAuth()`

#### setWantClientAuth

    @Deprecated
    void setWantClientAuth(boolean wantClientAuth)

Deprecated.

Parameters:
  `wantClientAuth` - True if SSL wants client authentication.
See Also:
  `SSLEngine.getWantClientAuth()`

#### setKeystoreType

    @Deprecated
    void setKeystoreType(String keystoreType)

Deprecated.

Parameters:
  `keystoreType` - The type of the key store (default "JKS")

#### getProvider

    @Deprecated
    String getProvider()

Deprecated.

Returns:
  The SSL provider name, which if set is passed to `SSLContext.getInstance(String, String)`

#### getSecureRandomAlgorithm

    @Deprecated
    String getSecureRandomAlgorithm()

Deprecated.

Returns:
  The algorithm name, which if set is passed to `SecureRandom.getInstance(String)` to obtain the `SecureRandom` instance passed to `SSLContext.init(javax.net.ssl.KeyManager[], javax.net.ssl.TrustManager[], SecureRandom)`

#### getSslKeyManagerFactoryAlgorithm

    @Deprecated
    String getSslKeyManagerFactoryAlgorithm()

Deprecated.

Returns:
  The algorithm name (default "SunX509") used by the `KeyManagerFactory`

#### getSslTrustManagerFactoryAlgorithm

    @Deprecated
    String getSslTrustManagerFactoryAlgorithm()

Deprecated.

Returns:
  The algorithm name (default "SunX509") used by the `TrustManagerFactory`

#### getTruststore

    @Deprecated
    String getTruststore()

Deprecated.

Returns:
  The file name or URL of the trust store location

#### getTruststoreType

    @Deprecated
    String getTruststoreType()

Deprecated.

Returns:
  The type of the trust store (default "JKS")

#### setProvider

    @Deprecated
    void setProvider(String provider)

Deprecated.

Parameters:
  `provider` - The SSL provider name, which if set is passed to `SSLContext.getInstance(String, String)`

#### setSecureRandomAlgorithm

    @Deprecated
    void setSecureRandomAlgorithm(String algorithm)

Deprecated.

Parameters:
  `algorithm` - The algorithm name, which if set is passed to `SecureRandom.getInstance(String)` to obtain the `SecureRandom` instance passed to `SSLContext.init(javax.net.ssl.KeyManager[], javax.net.ssl.TrustManager[], SecureRandom)`

#### setSslKeyManagerFactoryAlgorithm

    @Deprecated
    void setSslKeyManagerFactoryAlgorithm(String algorithm)

Deprecated.

Parameters:
  `algorithm` - The algorithm name (default "SunX509") used by the `KeyManagerFactory`

#### setSslTrustManagerFactoryAlgorithm

    @Deprecated
    void setSslTrustManagerFactoryAlgorithm(String algorithm)

Deprecated.

Parameters:
  `algorithm` - The algorithm name (default "SunX509") used by the `TrustManagerFactory`

#### setTruststore

    @Deprecated
    void setTruststore(String truststore)

Deprecated.

Parameters:
  `truststore` - The file name or URL of the trust store location

#### setTruststoreType

    @Deprecated
    void setTruststoreType(String truststoreType)

Deprecated.

Parameters:
  `truststoreType` - The type of the trust store (default "JKS")

#### setSslContext

    @Deprecated
    void setSslContext(SSLContext sslContext)

Deprecated.

Parameters:
  `sslContext` - Set a preconfigured SSLContext

#### getSslContext

    @Deprecated
    SSLContext getSslContext()

Deprecated.

Returns:
  The SSLContext

#### isAllowRenegotiate

    @Deprecated
    boolean isAllowRenegotiate()

Deprecated.

Returns:
  True if SSL re-negotiation is allowed (default false)

#### setAllowRenegotiate

    @Deprecated
    void setAllowRenegotiate(boolean allowRenegotiate)

Deprecated.
Set if SSL re-negotiation is allowed. CVE-2009-3555 discovered a vulnerability in SSL/TLS with re-negotiation. If your JVM does not have CVE-2009-3555 fixed, then re-negotiation should not be allowed.

Parameters:
  `allowRenegotiate` - true if re-negotiation is allowed (default false)